diff --git a/CMakeLists.txt b/CMakeLists.txt
index 72e427ea329..7b18f374ba5 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -11,7 +11,7 @@ set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMakeModules")
 
 # compiler options
 if(CMAKE_COMPILER_IS_GNUCC)
-add_definitions(-std=c99 -pedantic -pipe -fstack-protector -Wall -Wextra
+add_definitions(-std=c99 -g -pedantic -pipe -fstack-protector -Wall -Wextra
                  -Wno-unused-parameter -Wno-unused-function -Wno-unused-label
                  -Wpointer-arith -Wformat -Wreturn-type -Wsign-compare -Wmultichar
                  -Wformat-nonliteral -Winit-self -Wuninitialized -Wno-deprecated
diff --git a/tests/check_builtin.c b/tests/check_builtin.c
index 42da21c6095..5cb51b636fe 100644
--- a/tests/check_builtin.c
+++ b/tests/check_builtin.c
@@ -214,6 +214,7 @@ START_TEST(UA_ExtensionObject_calcSizeShallWorkOnExample) {
 
 	// empty ExtensionObject, handcoded
 	// when
+	UA_ExtensionObject_init(&extensionObject);
 	extensionObject.typeId.nodeIdType = UA_NODEIDTYPE_NUMERIC;
 	extensionObject.typeId.identifier.numeric = 0;
 	extensionObject.encoding = UA_EXTENSIONOBJECT_ENCODINGMASK_NOBODYISENCODED;
